
Core - Task # 52778

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54263 (Resolved): As an Integrator I want to have my metadata present at places when using files

Status: Resolved Priority: Must have
Author: Frans Saris Category: File Abstraction Layer (FAL)
Created: 2013-10-14 Assigned To: Steffen Ritter
Updated: 2014-01-31 Due date: 2014-02-15
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: No metadata shown for Folder and Category bases collections
Description

The frontend redering of Folder and Category based collections (tt_content.uploads) doesn't use the description from
sys_file_metadata

Subtasks:
Task # 53687: FileRepository:getFileIndexRecordsForFolder only works for hierarchical path Resolved
Task # 53688: ResourceFactory::createFileObject is called from Folder::getFiles directly Resolved

History
#1 - 2013-10-14 11:57 - Steffen Ritter
- Status changed from New to Accepted

This is due to the face that driver->getFilesInFolder creates the files manually...

a refactoring of driver and storage is needed!

#2 - 2013-10-18 16:15 - Steffen Ritter

Folder::getFiles
Driver::getFileObject

are remaining direct calls to ResourceStorage::createFile which need to be removed

For folder: only query fileIdentifiers in folder from Driver - filtering is OK
folder then should iterate over that and(with start and limit) and do ResourceFactory::getFileObjectByStorageAndIdentifier()

In an advanced version (which would be even faster):

Extend the driver and file SQL to add the hash of the "folder" to the file_index; add a findByFolder to indexRecordRepository (the current method only
will work for hierachical storages)

#3 - 2013-11-30 16:29 - Steffen Ritter
- Assigned To set to Steffen Ritter

2015-08-04 1/2



#4 - 2013-11-30 16:29 - Steffen Ritter
- Target version set to 6.2.0

#5 - 2013-12-07 15:08 - Steffen Ritter
- Parent task set to #54263

#6 - 2014-01-31 13:01 - Steffen Ritter
- Status changed from Accepted to Resolved
